Skip to main content
GET
/
v2
/
telematics
/
dvir-logs
/
defects
List Dvir Log Defects
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/dvir-logs/defects \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_name": "ada",
      "source_id": "<string>",
      "source_data_hash": "<string>",
      "fleet_ref": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "tsp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tsp_slug": "<string>",
      "source_data": {},
      "occurred_at": "2023-11-07T05:31:56Z",
      "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "extras": {},
      "dvir_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_dvir_log_id": "<string>",
      "defect_type": "<string>",
      "defect_code": "<string>",
      "defect_name": "<string>",
      "description": "<string>",
      "status": "<string>",
      "is_safety_critical": true,
      "resolved_at": "2023-11-07T05:31:56Z",
      "notes": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-28T17:07:41.639883Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-04-29T17:07:41.640014Z"

dvir_log_ids
string<uuid>[] | null

Limit results to specific DVIR logs. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?dvir_log_ids=id1&dvir_log_ids=id2).

Maximum array length: 100
include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

sort_by
string | null

The name of the field to sort results by. If not provided, results will be ordered by occurred_at.

sort_order
enum<string>
default:asc

The order of sorting, either asc for ascending or desc for descending. Defaults to asc if sort_by is provided without sort_order.

Available options:
asc,
desc
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
DvirLogDefectRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page